librime: rime::dictionary::Chunk Struct Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Public Attributes | List of all members
rime::dictionary::Chunk Struct Reference
Collaboration diagram for rime::dictionary::Chunk:
[legend]

## Public Member Functions
| Chunk ()=default
| Chunk (Table *t, const Code &c, const table::Entry *e, size_t m, double cr=0.0, double q=0.0)
| Chunk (Table *t, const TableAccessor &a, double cr=0.0, double q=0.0)
| Chunk (Table *t, const TableAccessor &a, const string &r, double cr=0.0, double q=0.0)
bool | is_exact_match () const
bool | is_predictive_match () const

## Public Attributes
Table * | table = nullptr
Code | code
const table::Entry * | entries = nullptr
size_t | size = 0
size_t | cursor = 0
string | remaining_code
size_t | matching_code_size = 0
double | credibility = 0.0
double | quality_len = 0.0

## Constructor & Destructor Documentation

## ◆ Chunk() [1/4]

rime::dictionary::Chunk::Chunk | ( |  | ) |
| default

## ◆ Chunk() [2/4]

rime::dictionary::Chunk::Chunk | ( | Table * | t,
|  | const Code & | c,
|  | const table::Entry * | e,
|  | size_t | m,
|  | double | cr = 0.0,
|  | double | q = 0.0 )
| inline

## ◆ Chunk() [3/4]

rime::dictionary::Chunk::Chunk | ( | Table * | t,
|  | const TableAccessor & | a,
|  | double | cr = 0.0,
|  | double | q = 0.0 )
| inline

## ◆ Chunk() [4/4]

rime::dictionary::Chunk::Chunk | ( | Table * | t,
|  | const TableAccessor & | a,
|  | const string & | r,
|  | double | cr = 0.0,
|  | double | q = 0.0 )
| inline

## Member Function Documentation

## ◆ is_exact_match()

bool rime::dictionary::Chunk::is_exact_match | ( |  | ) | const
| inline

## ◆ is_predictive_match()

bool rime::dictionary::Chunk::is_predictive_match | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ code

Code rime::dictionary::Chunk::code

## ◆ credibility

double rime::dictionary::Chunk::credibility = 0.0

## ◆ cursor

size_t rime::dictionary::Chunk::cursor = 0

## ◆ entries

const table::Entry* rime::dictionary::Chunk::entries = nullptr

## ◆ matching_code_size

size_t rime::dictionary::Chunk::matching_code_size = 0

## ◆ quality_len

double rime::dictionary::Chunk::quality_len = 0.0

## ◆ remaining_code

string rime::dictionary::Chunk::remaining_code

## ◆ size

size_t rime::dictionary::Chunk::size = 0

## ◆ table

Table* rime::dictionary::Chunk::table = nullptr

The documentation for this struct was generated from the following file:

- dictionary.cc